Summary: The Squid proxy caching server.
Name: squid
Version: 2.4.STABLE7
Release: 1.21as.11
Epoch: 7
License: GPL
Group: System Environment/Daemons
Source: http://www.squid-cache.org/Squid/v2/squid-%{version}-src.tar.gz
Source1: http://www.squid-cache.org/Squid/FAQ/FAQ.sgml
Source2: squid.init
Source3: squid.logrotate
Source4: squid.sysconfig
Source10: msntauth-v2.0.3-squid.2.tar.gz
# Source99: squid-filter-perl-requires.sh
# JF: I reorganized this to put the upstream patches before the local patches
# This makes it less likely that the upstream patches will need to be modified

# Upstream patches
Patch100: http://www.squid-cache.org/Versions/v2/2.4/bugs/squid-2.4.STABLE7-msntauth.patch
Patch101: http://www.squid-cache.org/Versions/v2/2.4/bugs/squid-2.4.STABLE7-url_port.patch
Patch102: http://www.squid-cache.org/Versions/v2/2.4/bugs/squid-2.4.STABLE7-url_escape.patch
Patch103: squid-2.4.STABLE7-pack_header.patch

# Local Patches
Patch200: squid-2.1-make.patch
Patch201: squid-2.4-config.patch
Patch202: squid-perlpath.patch
Patch203: squid-location.patch
Patch204: squid-2.5.STABLE4-00.patch
Patch205: squid-2.4.STABLE6-urllogin_acl.patch
Patch206: squid-2.4.STABLE7-forward_retries.patch
Patch207: squid-2.5.STABLE6-SNMP_core_dump.patch
Patch208: squid-2.5.STABLE7-gopher_html_parsing.patch
Patch209: squid-2.4.STABLE7-wccp_denial_of_service.patch
Patch210: squid-2.4.STABLE7-ldap_spaces.patch
Patch211: squid-2.5.STABLE3-reply_header_max_size.patch
Patch212: squid-2.4.STABLE7-header_parsing.patch
Patch213: squid-2.4.STABLE7-response_splitting.patch
Patch214: squid-2.5.STABLE7-wccp_buffer_overflow.patch
Patch215: squid-2.5.STABLE7-oversize_reply_headers.patch
Patch216: squid-2.5.STABLE3-dns_assert.patch
Patch217: squid-2.4.STABLE7-post.patch
Patch218: squid-2.4.STABLE7-cachemgr_conf.patch
Patch219: squid-2.4.STABLE7-dns_query-4.patch
Patch220: squid-2.5.STABLE10-statHistAssert.patch
Patch221: squid-2.4.STABLE3-store_pending.patch
Patch222: squid-2.5.STABLE7-dothost.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root
Prereq: /sbin/chkconfig logrotate shadow-utils
Requires: bash >= 2.0
BuildPrereq: openjade sgml-tools openldap-devel pam-devel
# %define __perl_requires %{SOURCE99}
Obsoletes: squid-novm

%description
Squid is a high-performance proxy caching server for Web clients,
supporting FTP, gopher, and HTTP data objects. Unlike traditional
caching software, Squid handles all requests in a single,
non-blocking, I/O-driven process. Squid keeps meta data and especially
hot objects cached in RAM, caches DNS lookups, supports non-blocking
DNS lookups, and implements negative caching of failed requests.

Squid consists of a main server program squid, a Domain Name System
lookup program (dnsserver), a program for retrieving FTP data
(ftpget), and some management and client tools.

%prep
%setup -q -a 10
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1 -b .pack_header

%patch200 -p1 -b .make
%patch201 -p1 -b .config
%patch202 -p1 -b .perlpath
%patch203 -p1
%patch204 -p1 -b .00
%patch205 -p1 -b .urllogin_acl
%patch206 -p1 -b .forward_retries
%patch207 -p1 -b .SNMP_core_dump

%patch208 -p1 -b .gopher_html_parsing
%patch209 -p1 -b .wccp_denial_of_service
%patch210 -p1 -b .ldap_spaces
%patch211 -p1 -b .reply_header_max_size
%patch212 -p1 -b .header_parsing
%patch213 -p1 -b .response_splitting
%patch214 -p1 -b .wccp_buffer_overflow
%patch215 -p1 -b .oversize_reply_headers
%patch216 -p1 -b .dns_assert
%patch217 -p1 -b .post
%patch218 -p1 -b .cachemgr_conf
%patch219 -p1 -b .dns_query-4
%patch220 -p1
%patch221 -p1 -b .stat
%patch222 -p1 -b .dothost

# The install for the error files below does the wrong thing if
# patch left .xxx files in the errors directory
find errors -name '*.header_parsing' -print0 | xargs -0 rm -f

rm -rf auth_moudles/MSNT/*
mv msntauth-v2.0.3-squid.2/* auth_modules/MSNT/
rm -rf msntauth-v2.0.3-squid.2

%build
%configure \
   --exec_prefix=/usr --bindir=/usr/sbin --libexecdir=/usr/lib/squid \
   --localstatedir=/var --sysconfdir=/etc/squid \
   --enable-poll --enable-snmp --enable-removal-policies="heap,lru" \
   --enable-storeio="aufs,coss,diskd,ufs" \
   --enable-delay-pools --enable-linux-netfilter \
   --with-pthreads \
   --enable-auth-modules="LDAP,NCSA,PAM,SMB,MSNT"  # --enable-icmp
   
# Some versions of autoconf fail to detect sys/resource.h correctly;
# apparently because it generates a compiler warning.

if [ -e /usr/include/sys/resource.h ]; then
cat >>include/autoconf.h <<EOF
#ifndef HAVE_SYS_RESOURCE_H
#define HAVE_SYS_RESOURCE_H 1
#define HAVE_STRUCT_RUSAGE 1
#endif
EOF
fi

make -f makefile

mkdir faq
cp $RPM_SOURCE_DIR/FAQ.sgml faq
cd faq 
sgml2html FAQ.sgml
cd ..

#cd auth_modules
#cd LDAP
#make
#cd ../NCSA
#make
#cd ../PAM
#make
#cd ../SMB
#make SAMBAPREFIX=%{prefix}
#cd ../getpwnam
#make
#cd ../..
chmod -x contrib/*.pl

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall  \
	sysconfdir=$RPM_BUILD_ROOT/etc/squid \
	localstatedir=$RPM_BUILD_ROOT/var \
	bindir=$RPM_BUILD_ROOT/usr/sbin \
	libexecdir=$RPM_BUILD_ROOT/usr/lib/squid
#install -m 4750 src/pinger $RPM_BUILD_ROOT/usr/lib/squid
mv $RPM_BUILD_ROOT/usr/sbin/*auth $RPM_BUILD_ROOT/usr/lib/squid

cd errors
rm -rf $RPM_BUILD_ROOT/etc/squid/errors
mkdir -p $RPM_BUILD_ROOT/usr/lib/squid/errors
for i in *; do
   if [ -d $i ]; then
       mkdir -p $RPM_BUILD_ROOT/usr/lib/squid/errors/$i
       install -m 644 $i/* $RPM_BUILD_ROOT/usr/lib/squid/errors/$i
   fi
done
ln -s /usr/lib/squid/errors/English $RPM_BUILD_ROOT/etc/squid/errors

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
mkdir -p $RPM_BUILD_ROOT/etc/sysconfig
install -m 755 $RPM_SOURCE_DIR/squid.init $RPM_BUILD_ROOT/etc/rc.d/init.d/squid
install -m 644 $RPM_SOURCE_DIR/squid.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/squid
install -m 644 $RPM_SOURCE_DIR/squid.sysconfig $RPM_BUILD_ROOT/etc/sysconfig/squid

mkdir -p $RPM_BUILD_ROOT/var/log/squid
mkdir -p $RPM_BUILD_ROOT/var/spool/squid

# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_sbindir}/{RunAccel,RunCache}

#strip $RPM_BUILD_ROOT/usr/bin/* $RPM_BUILD_ROOT/usr/sbin/* \
#      $RPM_BUILD_ROOT/usr/lib/squid/* || :
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir /etc/squid
%config(noreplace) %attr(640,root,squid) /etc/squid/squid.conf
%config(noreplace) %attr(640,root,squid) /etc/squid/cachemgr.conf
%config(noreplace) /etc/squid/mime.conf
%config(noreplace) /etc/sysconfig/squid
%config /etc/squid/mib.txt
/etc/squid/squid.conf.default
/etc/squid/mime.conf.default
%config(noreplace) /etc/squid/errors
/usr/lib/squid
/usr/sbin/squid
/usr/sbin/client
%config /etc/rc.d/init.d/squid
%config /etc/logrotate.d/squid
%doc faq/* README ChangeLog QUICKSTART doc/*
%doc contrib/rredir.c
%attr(644,root,root) %doc contrib/url-normalizer.pl contrib/rredir.pl contrib/user-agents.pl

%attr(750,squid,squid) %dir /var/log/squid
%attr(750,squid,squid) %dir /var/spool/squid

%pre
/usr/sbin/useradd -u 23 -d /var/spool/squid -r -s /sbin/nologin squid >/dev/null 2>&1

for i in /var/log/squid /var/spool/squid ; do
	if [ -d $i ] ; then
		for adir in `find $i -maxdepth 0 \! -user squid`; do
			chown -R squid.squid $adir
		done
	fi
done

exit 0

%post
/sbin/chkconfig --add squid
if [ $1 = 0 ]; then
 case "$LANG" in
  bg*)
     DIR=Bulgarian
     ;;
  cs*)
     DIR=Czech
     ;;
  da*)
     DIR=Danish
     ;;
  nl*)
     DIR=Dutch
     ;;
  en*)
     DIR=English
     ;;
  ea*)
     DIR=Estonian
     ;;
  fi*)
     DIR=Finnish
     ;;
  fr*)
     DIR=French
     ;;
  de*)
     DIR=German
     ;;
  hu*)
     DIR=Hungarian
     ;;
  it*)
     DIR=Italian
     ;;
  ja*)
     DIR=Japanese
     ;;
  kr*)
     DIR=Korean
     ;;
  pl*)
     DIR=Polish
     ;;
  pt*)
     DIR=Portuguese
     ;;
  ro*)
     DIR=Romanian
     ;;
  ru*)
     DIR=Russian-koi8-r
     ;;
  sk*)
     DIR=Slovak
     ;;
  es*)
     DIR=Spanish
     ;;
  sv*)
     DIR=Swedish
     ;;
  zh*)
     DIR=Traditional_Chinese
     ;;
  tr*)
     DIR=Turkish
     ;;
  *)
     DIR=English
     ;;
 esac
 ln -snf /usr/lib/squid/errors/$DIR /etc/squid/errors
fi

%preun
if [ $1 = 0 ] ; then
	service squid stop >/dev/null 2>&1
	rm -f /var/log/squid/*
	/sbin/chkconfig --del squid
fi

%postun
if [ "$1" -ge "1" ] ; then
	service squid condrestart >/dev/null 2>&1
fi

%changelog
* Thu Dec 06 2007 Martin Nagy <mnagy@redhat.com> 7:2.4.STABLE7-1.21as.11
- fox for #410181 - CVE-2007-6239 squid DoS in cache updates

* Tue Sep 8 2005 Martin Stransky <stransky@redhat.com> 7:2.4.STABLE7-1.21as.10
- fix for #167414 - Multiple squid DoS issues
- fix for #166520 - CAN-2004-2479 squid information disclosure

* Mon May 16 2005 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE7-1.21as.8
- Fixed up the -dns_query-4 patch with the differences between it and -5.

* Mon May 16 2005 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE7-1.21as.7
- Backport -dns_query-4 patch to close
  bz#157455 CAN-2005-1519 DNS lookups unreliable on untrusted networks

* Thu Mar 17 2005 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE7-1.21as.6
- change mode on squid.conf to close
  bz#125007 insecure permissions for squid.conf
- Backport fix for
  bz#151423 CAN-2005-0718 Segmentation fault on failed PUT/POST request
- Backport fix for
  CVE-1999-0710 cachemgr malicious use

* Wed Feb 16 2005 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE7-1.21as.5
- Backport fix for bz#148882 CAN-2005-0446

* Tue Feb 1 2005 Jay Fenlason <fenlason@redhat.com>
- Two more security fixes:
  * CAN-2005-0211 bz#146777 buffer overflow in wccp recvfrom() call
  * bz#146780 correct handling of oversize reply headers

* Mon Jan 31 2005 Jay Fenlason <fenlason@redhat.com>
- Change the squid user's login shell to /sbin/nologin

* Mon Jan 31 2005 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE7-1.21as.3
- Don't include the 0-length files created by patch in the errors directory.

* Fri Jan 28 2005 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE7-1.21as.2
- Backport three more security fixes to close bz#146159
- Also backport the -reply_header_max_size patch
- Reorganize this spec file to apply upstream patches first.

* Thu Jan 20 2005 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE7-1.21as.1
- Backport fixes for CAN-2005-0094 (remote DOS in parsing malformed Gopher
  messages). and CAN-2005-0095 (remote DOS in parsing malformed wccp messages).
- This version of squid is not vulnerable to CAN-2005-0096 and CAN-2005-0097
  because it does not contain the ntlm_auth helper.

* Tue Oct 12 2004 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE7-1.21as
- Backport SNMP_core_dump patch from 2.5.STABLE6 to fix CAN-2004-0918
  (Remote DoS)

* Mon Jun 21 2004 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE7-0.21as
- bump to 2.4.STABLE7 to pick up all the post STABLE6 patches
- Include the three upstream patches to 2.4.STABLE7
- Add the forward_retries one-line patch for bugzilla #120849

* Wed Apr 7 2004 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE6-10.21as
- Another attempt to fix the perl dependency problem.

* Wed Apr 7 2004 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE6-9.21as
- replace squid-filter-perl-requires.sh with a chmod -x on the
  doc .pl files.

* Mon Mar 29 2004 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE6-8.21as
- Add squid-filter-perl-requires.sh script, so it doesn't drag in
  dependencies for uninstalled programs in contrib/

* Tue Mar 9 2004 Jay Fenlason <fenlason@redhat.com> 7:2.4.STABLE6-7.21as
- Backport patch for %00 security hole.
- Backport patch to add urllogin acl type.  This acl may be used to
  protect vulnerable Microsoft Internet Explorer users until a patched
  version of IE is avaliable.

* Tue Jun 25 2002 Bill Nottingham <notting@redhat.com>
- add various upstream bugfix patches

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Mar 22 2002 Bill Nottingham <notting@redhat.com>
- 2.4.STABLE6
- turn off carp

* Mon Feb 18 2002 Bill Nottingham <notting@redhat.com>
- 2.4.STABLE3 + patches
- turn off HTCP at request of maintainers
- leave SNMP enabled in the build, but disabled in the default config

* Fri Jan 25 2002 Tim Powers <timp@redhat.com>
- rebuild against new libssl

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon Jan 07 2002 Florian La Roche <Florian.LaRoche@redhat.de>
- require linuxdoc-tools instead of sgml-tools

* Tue Sep 25 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.STABLE2

* Mon Sep 24 2001 Bill Nottingham <notting@redhat.com>
- add patch to fix FTP crash

* Mon Aug  6 2001 Bill Nottingham <notting@redhat.com>
- fix uninstall (#50411)

* Mon Jul 23 2001 Bill Nottingham <notting@redhat.com>
- add some buildprereqs (#49705)

* Sun Jul 22 2001 Bill Nottingham <notting@redhat.com>
- update FAQ

* Tue Jul 17 2001 Bill Nottingham <notting@redhat.com>
- own /etc/squid, /usr/lib/squid

* Tue Jun 12 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment
- s/Copyright:/License:/

* Tue Apr 24 2001 Bill Nottingham <notting@redhat.com>
- update to 2.4.STABLE1 + patches
- enable some more configure options (#24981)
- oops, ship /etc/sysconfig/squid

* Fri Mar  2 2001 Nalin Dahyabhai <nalin@redhat.com>
- rebuild in new environment

* Tue Feb  6 2001 Trond Eivind Glomsrd <teg@redhat.com>
- improve i18n
- make the initscript use the standard OK/FAILED

* Tue Jan 23 2001 Bill Nottingham <notting@redhat.com>
- change i18n mechanism

* Fri Jan 19 2001 Bill Nottingham <notting@redhat.com>
- fix path references in QUICKSTART (#15114)
- fix initscript translations (#24086)
- fix shutdown logic (#24234), patch from <jos@xos.nl>
- add /etc/sysconfig/squid for daemon options & shutdown timeouts
- three more bugfixes from the Squid people
- update FAQ.sgml
- build and ship auth modules (#23611)

* Thu Jan 11 2001 Bill Nottingham <notting@redhat.com>
- initscripts translations

* Mon Jan  8 2001 Bill Nottingham <notting@redhat.com>
- add patch to use mkstemp (greg@wirex.com)

* Fri Dec 01 2000 Bill Nottingham <notting@redhat.com>
- rebuild because of broken fileutils

* Sat Nov 11 2000 Bill Nottingham <notting@redhat.com>
- fix the acl matching cases (only need the second patch)

* Tue Nov  7 2000 Bill Nottingham <notting@redhat.com>
- add two patches to fix domain ACLs
- add 2 bugfix patches from the squid people

* Fri Jul 28 2000 Bill Nottingham <notting@redhat.com>
- clean up init script; fix condrestart
- update to STABLE4, more bugfixes
- update FAQ

* Tue Jul 18 2000 Nalin Dahyabhai <nalin@redhat.com>
- fix syntax error in init script
- finish adding condrestart support

* Fri Jul 14 2000 Bill Nottingham <notting@redhat.com>
- move initscript back

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jul  6 2000 Bill Nottingham <notting@redhat.com>
- prereq /etc/init.d
- add bugfix patch
- update FAQ

* Thu Jun 29 2000 Bill Nottingham <notting@redhat.com>
- fix init script

* Tue Jun 27 2000 Bill Nottingham <notting@redhat.com>
- don't prereq new initscripts

* Mon Jun 26 2000 Bill Nottingham <notting@redhat.com>
- initscript munging

* Sat Jun 10 2000 Bill Nottingham <notting@redhat.com>
- rebuild for exciting FHS stuff

* Wed May 31 2000 Bill Nottingham <notting@redhat.com>
- fix init script again (#11699)
- add --enable-delay-pools (#11695)
- update to STABLE3
- update FAQ

* Fri Apr 28 2000 Bill Nottingham <notting@redhat.com>
- fix init script (#11087)

* Fri Apr  7 2000 Bill Nottingham <notting@redhat.com>
- three more bugfix patches from the squid people
- buildprereq jade, sgmltools

* Sun Mar 26 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- make %pre more portable

* Thu Mar 16 2000 Bill Nottingham <notting@redhat.com>
- bugfix patches
- fix dependency on /usr/local/bin/perl

* Sat Mar  4 2000 Bill Nottingham <notting@redhat.com>
- 2.3.STABLE2

* Mon Feb 14 2000 Bill Nottingham <notting@redhat.com>
- Yet More Bugfix Patches

* Tue Feb  8 2000 Bill Nottingham <notting@redhat.com>
- add more bugfix patches
- --enable-heap-replacement

* Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
- rebuild to fix dependencies

* Fri Jan 28 2000 Bill Nottingham <notting@redhat.com>
- grab some bugfix patches

* Mon Jan 10 2000 Bill Nottingham <notting@redhat.com>
- 2.3.STABLE1 (whee, another serial number)

* Tue Dec 21 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix compliance with ftp RFCs
  (http://www.wu-ftpd.org/broken-clients.html)
- Work around a bug in some versions of autoconf
- BuildPrereq sgml-tools - we're using sgml2html

* Mon Oct 18 1999 Bill Nottingham <notting@redhat.com>
- add a couple of bugfix patches

* Wed Oct 13 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE5.
- update FAQ, fix URLs.

* Sat Sep 11 1999 Cristian Gafton <gafton@redhat.com>
- transform restart in reload and add restart to the init script

* Tue Aug 31 1999 Bill Nottingham <notting@redhat.com>
- add squid user as user 23.

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- initscript munging
- fix conflict between logrotate & squid -k (#4562)

* Wed Jul 28 1999 Bill Nottingham <notting@redhat.com>
- put cachemgr.cgi back in /usr/lib/squid

* Wed Jul 14 1999 Bill Nottingham <notting@redhat.com>
- add webdav bugfix patch (#4027)

* Mon Jul 12 1999 Bill Nottingham <notting@redhat.com>
- fix path to config in squid.init (confuses linuxconf)

* Wed Jul  7 1999 Bill Nottingham <notting@redhat.com>
- 2.2.STABLE4

* Wed Jun 9 1999 Dale Lovelace <dale@redhat.com>
- logrotate changes
- errors from find when /var/spool/squid or
- /var/log/squid didn't exist

* Thu May 20 1999 Bill Nottingham <notting@redhat.com>
- 2.2.STABLE3

* Thu Apr 22 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE.2

* Sun Apr 18 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.STABLE1

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- don't need to run groupdel on remove
- fix useradd

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- fix effective_user (bug #2124)

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Thu Apr  1 1999 Bill Nottingham <notting@redhat.com>
- duh. adduser does require a user name.
- add a serial number

* Tue Mar 30 1999 Bill Nottingham <notting@redhat.com>
- add an adduser in %pre, too

* Thu Mar 25 1999 Bill Nottingham <notting@redhat.com>
- oog. chkconfig must be in %preun, not %postun

* Wed Mar 24 1999 Bill Nottingham <notting@redhat.com>
- switch to using group squid
- turn off icmp (insecure)
- update to 2.2.DEVEL3
- build FAQ docs from source

* Tue Mar 23 1999 Bill Nottingham <notting@redhat.com>
- logrotate changes

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 4)

* Wed Feb 10 1999 Bill Nottingham <notting@redhat.com>
- update to 2.2.PRE2

* Wed Dec 30 1998 Bill Nottingham <notting@redhat.com>
- cache & log dirs shouldn't be world readable
- remove preun script (leave logs & cache @ uninstall)

* Tue Dec 29 1998 Bill Nottingham <notting@redhat.com>
- fix initscript to get cache_dir correct

* Fri Dec 18 1998 Bill Nottingham <notting@redhat.com>
- update to 2.1.PATCH2
- merge in some changes from RHCN version

* Sat Oct 10 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries
- version 1.1.22

* Sun May 10 1998 Cristian Gafton <gafton@redhat.com>
- don't make packages conflict with each other...

* Sat May 02 1998 Cristian Gafton <gafton@redhat.com>
- added a proxy auth patch from Alex deVries <adevries@engsoc.carleton.ca>
- fixed initscripts

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- rebuilt for Manhattan

* Fri Mar 20 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.21/1.NOVM.21

* Mon Mar 02 1998 Cristian Gafton <gafton@redhat.com>
- updated the init script to use reconfigure option to restart squid instead
  of shutdown/restart (both safer and quicker)

* Sat Feb 07 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.20
- added the NOVM package and tryied to reduce the mess in the spec file

* Wed Jan 7 1998 Cristian Gafton <gafton@redhat.com>
- first build against glibc
- patched out the use of setresuid(), which is available only on kernels
  2.1.44 and later
